#ifndef __cxxtest__MSVCErrorPrinter_h__
#define __cxxtest__MSVCErrorPrinter_h__

//
// The MSVCErrorPrinter is identical to the ErrorPrinter, except it
// prints the line number and error/warning strings in a format
// consistent with that generated by Microsoft's compiler.
//
// Strict error parsers (e.g. QtCreator's) expect each error to be
// followed by a proper-looking error code, so give them one to make
// them work. Same for warnings.
//
// C2999 : "Unknown error" from Visual Studio 6, no longer used.
// C4999 : "Unknown warning" from Visual Studio 6, no longer used.
//

#include <cxxtest/ErrorPrinter.h>

namespace CxxTest {
class MSVCErrorPrinter : public ErrorPrinter {
public:
    MSVCErrorPrinter(CXXTEST_STD(ostream) &o = CXXTEST_STD(cout))
        : ErrorPrinter(o, "(", ") ", "error C2999", "warning C4999") {}
};
}

#endif // __cxxtest__MSVCErrorPrinter_h__
